Alembic Version 1.1

Classes | Typedefs | Functions
Alembic::AbcCoreLayer::ALEMBIC_VERSION_NS Namespace Reference

## Classes
class | ReadArchive

## Typedefs
typedef std::map< std::string, size_t > | ChildNameMap
typedef Alembic::Util::shared_ptr< ArImpl > | ArImplPtr
typedef Alembic::Util::shared_ptr< OrImpl > | OrImplPtr
typedef Alembic::Util::shared_ptr< AbcA::ObjectHeader > | ObjectHeaderPtr
typedef Alembic::Util::shared_ptr< CprImpl > | CprImplPtr
typedef std::vector< Alembic::AbcCoreAbstract::ArchiveReaderPtr > | ArchiveReaderPtrs
typedef std::vector< Alembic::AbcCoreAbstract::CompoundPropertyReaderPtr > | CompoundReaderPtrs

## Functions
ALEMBIC_EXPORT void | SetPrune (Alembic::AbcCoreAbstract::MetaData &oMetaData, bool shouldPrune)
ALEMBIC_EXPORT void | SetReplace (Alembic::AbcCoreAbstract::MetaData &oMetaData, bool shouldReplace)

## Typedef Documentation

## ◆ ArchiveReaderPtrs

typedef std::vector< Alembic::AbcCoreAbstract::ArchiveReaderPtr > Alembic::AbcCoreLayer::ALEMBIC_VERSION_NS::ArchiveReaderPtrs

Definition at line 63 of file Foundation.h.

## ◆ ArImplPtr

typedef Alembic::Util::shared_ptr< ArImpl > Alembic::AbcCoreLayer::ALEMBIC_VERSION_NS::ArImplPtr

Definition at line 52 of file Foundation.h.

## ◆ ChildNameMap

typedef std::map< std::string, size_t > Alembic::AbcCoreLayer::ALEMBIC_VERSION_NS::ChildNameMap

Definition at line 49 of file Foundation.h.

## ◆ CompoundReaderPtrs

typedef std::vector< Alembic::AbcCoreAbstract::CompoundPropertyReaderPtr > Alembic::AbcCoreLayer::ALEMBIC_VERSION_NS::CompoundReaderPtrs

Definition at line 66 of file Foundation.h.

## ◆ CprImplPtr

typedef Alembic::Util::shared_ptr< CprImpl > Alembic::AbcCoreLayer::ALEMBIC_VERSION_NS::CprImplPtr

Definition at line 60 of file Foundation.h.

## ◆ ObjectHeaderPtr

typedef Alembic::Util::shared_ptr<AbcA::ObjectHeader> Alembic::AbcCoreLayer::ALEMBIC_VERSION_NS::ObjectHeaderPtr

Definition at line 57 of file Foundation.h.

## ◆ OrImplPtr

typedef Alembic::Util::shared_ptr< OrImpl > Alembic::AbcCoreLayer::ALEMBIC_VERSION_NS::OrImplPtr

Definition at line 55 of file Foundation.h.

## Function Documentation

## ◆ SetPrune()

ALEMBIC_EXPORT void Alembic::AbcCoreLayer::ALEMBIC_VERSION_NS::SetPrune | ( | Alembic::AbcCoreAbstract::MetaData & | oMetaData,
|  | bool | shouldPrune
| ) |  |

Used to mark that an Alembic object or property is meant to be pruned when read via AbcCoreLayer. Pruning an object or compound property will also removes all of their children.

## ◆ SetReplace()

ALEMBIC_EXPORT void Alembic::AbcCoreLayer::ALEMBIC_VERSION_NS::SetReplace | ( | Alembic::AbcCoreAbstract::MetaData & | oMetaData,
|  | bool | shouldReplace
| ) |  |

Used to mark that an Alembic object or property is meant to be replaced when read via AbcCoreLayer. Replacing an object or compound property will also replace all of the children encountered so far. Since pruning is more destructive it trumps replace.